@charset "utf-8";
/* CSS Document */


/*-----------------------------
  BANNER BACKGROUND
-------------------------------*/
.olympics24 {
	border: 1px solid #ddd;
	padding: 10px 15px;
	display: flex;
	align-items: center;
	justify-content: left;
	position: relative;
	gap: 2px;
	flex-wrap: wrap;
	background: linear-gradient(90deg, #003561 0%, #2393CD 52%, #F1ABC9 100%);
	background-repeat: no-repeat;
	xbackground-position: center;
	xbackground-size: cover;
}

.olympics24::before,
.olympics24::after {
	content: "";
	position: absolute;
	left: 0;
	right: 0;
	top: 0px;
	background-size: cover;
	background-repeat: no-repeat;
	z-index: -1; /* Ensure the images are behind the content */
}

.olympics24::before {
	bottom: 0;
	background: url('https://cdn.thestar.com.my/Components/Olympics/2024/img/pattern-top.png') no-repeat top right;
	z-index: 1;
}

.olympics24::after {
	bottom: 0;
	background: url('https://cdn.thestar.com.my/Components/Olympics/2024/img/pattern-bottom.png') no-repeat bottom right;
	z-index: 1;
}


/*-----------------------------
  GENERAL
-------------------------------*/
.olympics24 .row {
	width: 100%;
	margin: 0;
}

.flexbanner {
	display: flex;
}


/*-----------------------------
  FONTS
-------------------------------*/
.olympics24 p.banner-title {
	font-size: 18px;
	color: #fff;
	font-weight: 900;
	margin-right: 5px;
}


/*-----------------------------
  LOGO / ICONS
-------------------------------*/
.olympics24__icon {
	width: 60px;
	xheight: 36px;
	margin: 0 15px 0 0;
	border-right: 1px solid #d6c277;
	padding-right: 15px;
	float: left;
	z-index: 9;
	position: relative;
	align-content: center;
	object-fit: contain;
}

.olympics24 .arrow-r {
	display: inline-block;
	width: 8px;
	height: 8px;
	transform: rotate(45deg);
	border-right-color: rgb(255 255 255);
	border-top-color: rgb(255 255 255);
	margin-top: 2px;
}

.after__banner .arrow-r {
	display: none;
}


/*-----------------------------
  DESC
-------------------------------*/
.olympics24__desc {
	display: block;
	xmargin-top: 10px;
	overflow: hidden;
	color: #fff !important;
	z-index: 99;
	position: relative;
	align-content: center;
}


.olympics24__desc p {
	color: #fff;
	font-weight: 400;
	margin-bottom: 0;
}


/*-----------------------------
  LINKS
-------------------------------*/
.olympics24 a {
	color: #fff;
	font-size: 14px;
	font-weight: 500;
}

.olympics24 a:hover {
	color: #fff;

}

a.olympics24banner {
	overflow: hidden;
	display: block;
	cursor: pointer;
}


/*-----------------------------
  BUTTON
-------------------------------*/
.explore-btn p {
	border: 2px solid #fff;
	padding: 8px 25px !important;
	border-radius: 8px;
	position: absolute;
	xright: 20px;
	z-index: 2;
	font-weight: 700;
	font-size: 16px;
	margin-top: 13px;
	right: 10px;
	color: #fff;
	cursor: pointer;
}


/*-----------------------------
  COUNTDOWN
-------------------------------*/
#oly-countdown {
	z-index: 999;
	position: relative;
	float: right;
}

#oly-countdown ul {
	background: #fff;
	padding: 10px 0;
	color: #000;
	opacity: 0.9;
	text-align: center;
	display: inline-block;
}

#oly-countdown h1 {
	font-weight: normal;
	letter-spacing: 0.125rem;
	text-transform: uppercase;
}

#oly-countdown li {
	display: inline-block;
	font-size: 10px;
	list-style-type: none;
	xpadding: 1em;
	text-transform: uppercase;
	text-align: center;
	line-height: 12px;
	width: 75px;
}

#oly-countdown li span {
	display: block;
	font-size: 30px;
	font-weight: 700;
	line-height: 36px;
	xpadding: 0 20px;
	border-right: 1px solid #d6c277;
}

#oly-countdown li:last-child span {
	border-right: none;
}

.flexbanner.forcountdown {
	justify-content: flex-end;
}

/*-----------------------------
  RESPONSIVE
-------------------------------*/
@media only screen and (min-width : 1200px) and (max-width : 1208px) {
	.olympics24.col-lg-8 {
		width: 60%;
	}

	.olympics24.col-lg-5 {
		width: 40%;
	}
}

@media only screen and (max-width:767px) {

	.olympics24 {
		padding: 20px;
	}

}

@media only screen and (max-width:600px) {
	#oly-countdown {
		margin-top: 15px;
		float: none !important;
		width: 100%;
	}

	#oly-countdown ul {
		display: block !important;
	}

	.flexbanner.forcountdown {
		justify-content: flex-start;
	}
}

@media only screen and (min-width : 601px) and (max-width : 767px) {
	.w60 {
		width: 60%;
	}

	.w40 {
		width: 40%;
	}

	#oly-countdown li {
		width: 62px !important;
	}
}

@media only screen and (min-width : 576px) and (max-width : 767px) {

	.w70 {
		width: 70%;
	}

	.w30 {
		width: 30%;
	}
}


@media only screen and (max-width: 575px) {
	.olympics24 {
		padding: 15px 10px !important;
	}

	.olympics24__icon {
		width: 45px;
		margin: 0 10px 0 0;
	}

	.olympics24__desc {
		margin-top: 0;
	}

	.olympics24 label {
		xmargin: 0 0 5px 0;
		display: block;
	}

	.olympics24 a {
		padding: 5px 0;
	}

	#oly-countdown {
		margin-top: 10px !important;
	}

	.explore-btn {
		display: none;
	}

	.after__banner .arrow-r {
		display: inline-block;
	}
}

@media only screen and (max-width:360px) {
	.olympics24:before {
		background-position: 0% 30%;
	}
}